"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function flatten(tree) {
    return tree.reduce((acc, item) => {
        if (item.type === 'dir' && item.nodes) {
            acc = acc.concat(flatten(item.nodes));
        }
        else {
            acc.push(item);
        }
        return acc;
    }, [])
        .sort((a, b) => a.path > b.path ? 1 : (a.path < b.path ? -1 : (a.name > b.name ? 1 : -1)));
}
exports.flatten = flatten;
